using System;
using System.ComponentModel.DataAnnotations;
using MediatR;

namespace MyHN.Application
{
  public class CommentLinkCommand : IRequest<Guid>
  {
    [Required]
    public Guid LinkId { get; set; }

    [Required]
    public string Content { get; set; }

    public CommentLinkCommand()
    {

    }

    public CommentLinkCommand(Guid linkId)
    {
      LinkId = linkId;
    }
  }
}